Last Comment Bug 689913 - Assertion failed: (false), function writeConstantUnion
: Assertion failed: (false), function writeConstantUnion
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://code.google.com/p/angleproject...
Depends on: 707555
Blocks: 658170
  Show dependency treegraph
 
Reported: 2011-09-28 06:02 PDT by Christoph Diehl [:posidron]
Modified: 2012-01-20 13:01 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (4.93 KB, application/zip)
2011-09-28 06:02 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (14.74 KB, text/plain)
2011-09-28 06:03 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2011-09-28 06:02:29 PDT
Created attachment 563044 [details]
testcase

mat2 x = mat2(false,false); // leads to failing assertion
Comment 1 Christoph Diehl [:posidron] 2011-09-28 06:03:05 PDT
Created attachment 563046 [details]
callstack
Comment 2 Christoph Diehl [:posidron] 2011-11-29 09:42:43 PST
Fixed in r898
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2011-11-29 10:37:01 PST
We don't use ANGLE r898 yet, as you can see in gfx/angle/README.mozilla

I will update us ASAP.
Comment 4 Ali Juma [:ajuma] 2012-01-20 13:01:31 PST
This was fixed by the landing of Bug 707555.

Note You need to log in before you can comment on or make changes to this bug.